var tplBaseUrl = "";

function loadTemplate(tpl) {
    var template = null;
    $.ajax({
        url : tplBaseUrl + tpl,
        type : 'GET',
        data : {}, //默认从参数获取
        timeout : 10000,
        async : false,
        success : function(data) {
            template = _.template(data);
        },
        error : function(e) {
        }
    });
    return template;
}


var constant = {
    // INTERFACE_LOGIN:"http://192.168.4.61:9084/chongqing_new/app",
    // UPLOAD_LOGIN:"http://192.168.4.61:9084/chongqing_new/uploadMas",
    // view_picture:"http://192.168.4.61:8001/",
    // getSign:"http://192.168.4.61:9084/chongqing_new/getSign"   
    INTERFACE_LOGIN:"http://175.25.242.86:9084/kfpt_app/app",
    UPLOAD_LOGIN:"http://175.25.242.86:9084/kfpt_app/uploadMas",
    view_picture:"http://175.25.242.86:8001/",
    getSign:"http://175.25.242.86:9084/kfpt_app/getSign",
    thirdParty:"http://175.25.242.86:8989/openPlatform/",
    
    //预约挂号
    hospital:"http://175.25.242.86:8989/openPlatform/getWsdlOrgList",
    resRegist:"http://175.25.242.86:8989/openPlatform/getWsdlByAjaxPost",
    residentReg:"http://175.25.242.86:8989/openPlatform/getWsdlRegisterInfo",
    
    //门诊摘要
    outpatientSummary:"http://175.25.242.86:9084/kfpt_app/",
    //第三方应用列表
    thirdPartyList:"http://175.25.242.86:8989/managementPlatform/"
} 


function statusCode (num) {
        switch(num) {
        case "000":
            return "成功";
            break;
        case "001":
            return "数据查询失败";
            break;
        case "002":
            return "登录名或者密码错误";   
            break;
        case "003":
            return "验证码无效或已过期";
            break;
        case "004":
            return "手机号已注册过";
            break;
        case "005":
            return "用户信息修改失败";   
            break;
        case "006":
            return "密码找回失败";
            break;
        case "007":
            return "参数缺失";
            break;
        case "008":
            return "登录失败"; 
            break;
        case "009":
            return "注册失败";
            break;
        case "010":
            return "数据插入失败";
            break;
        case "011":
            return "用户已点过赞";     
            break;
        case "012":
            return "用户已分享过";     
            break;
        case "013":
            return "数据删除失败";
            break;
        case "014":
            return "手机号格式不正确";     
            break;
        case "015":
            return "验证码发送失败";     
            break;    
        default:
            return "未知原因";
            break;
        }
}