var addFamilyModel = Backbone.Model.extend({
    initialize : function() {
        this.set({})
    },

    service : familyService,
    validate : function(attrs, options) {
        var fmName=$("#fmName").val();
        if (!isDefine(fmName)) {
            return "请输入家庭成员姓名";
        }else{
            var len = getStrLen(fmName);
            if(len > 30){
		      return "姓名过长！";
		    }
        }
        
        var fmPhone=$("#fmPhone").val();
        if (!isDefine(fmPhone)) {
            return "请输入家庭成员手机号";
        }else{
            if(!checkPhone(fmPhone)){
              return "手机号格式错误";
            }
        }

        var fmCertId=$("#fmCertId").val();
        if (!isDefine(fmCertId)) {
            return "请输入家庭成员身份证号";
        }else{
            if(!validateIdCard(fmCertId)){
              return "身份证号格式错误";
            }
        }
    },
    sync : function(method, model, options) {
        switch(method) {
        case "create":

            var fmSex = discriCard($("#fmCertId").val());
            
            var parameter = {
                "Interface" : "appModifyFamilyMeb",
                "requestType" : "POST",
                "content" : JSON.stringify({
                    "familyMemberId" : options.params,
                    "familyManageId" : getLocVal("userId"),
                    "fmName" : $("#fmName").val(),
                    "fmCertType" : "身份证",
                    "fmCertId" : $("#fmCertId").val(),
                    "fmSex" : fmSex,
                    "fmPhone" : $("#fmPhone").val(),
                    "fmHealthCard" : "",
                    "fmAuthCode" : "",
                    "fmRegProv" : "",
                    "fmRegCity" : "",
                    "fmRegArea" : "",
                    "fmRegisterAdr" : "",
                    "fmLocProv" : "",
                    "fmLocCity" : "",
                    "fmLocArea" : "",
                    "fmLocationAdr" : "",
                    "fmStatus" : "02"
                })
            }


        familyService.request(parameter,options);
        break;
        case "update":
        break;
        case "patch":
            break;
        case "read":
            break;
        case "delete":
            break;
        default:
            break;
        }
    }
})