var delFamilyModel = Backbone.Model.extend({
    initialize : function() {
        this.set({familyMemberId:getLocVal('familyMemberId')})
    },

    service : familyService,
    validate : function(attrs, options) {
        if (!isDefine(attrs.familyMemberId)) {
            return "家庭成员信息获取失败，请关闭此页面重新打开";
        }
    },
    sync : function(method, model, options) {
        switch(method) {
        case "create":

            var parameter = {
                "Interface" : "appDeleteFamilyMeb",
                "requestType" : "GET",
                "content" : {
                    "familyMemberId" : this.toJSON().familyMemberId
                }
            }

        familyService.request(parameter,options);
        break;
        case "update":
        break;
        case "patch":
            break;
        case "read":
            break;
        case "delete":
            break;
        default:
            break;
        }
    }
})