var modifyNameModel = Backbone.Model.extend({
    initialize : function() {
        this.set({userId:getLocVal('userId')});
    },

    service : publicService,
    validate : function(attrs, options) {
        if (!isDefine(attrs.nickName)) {
            return "请输入您的昵称";
        }else if(getStrLen(attrs.nickName)>12){
            return "昵称不能超过12个字符";
        }
    },
    sync : function(method, model, options) {
        switch(method) {
        case "create":
        var parameter = {
            "transcode": "userInfo_modify",
            "info": "changeNickName",
            "content": this.toJSON()
        };
        setLocVal('nickName',this.toJSON().nickName);
         
        publicService.request(parameter,options);
        break;
        case "update":
        break;
        case "patch":
            break;
        case "read":
            break;
        case "delete":
            break;
        default:
            break;
        }
    }
})
