var myCommentsModel = Backbone.Model.extend({
      initialize : function() {
        this.set({});
    }
});

var myCommentsCollection = Backbone.Collection.extend({
    model : myCommentsModel,  //集合对应模型
    service : publicService, //服务，负责处理数据交互
    parse : function(resp) {
        if(resp.data!=""){
            for (var i=0; i < resp.data.list.length; i++) {
                 var mTime2 = resp.data.list[i].mTime;
                 if(mTime2.indexOf("+")!=-1){
                     var times = Todate(mTime2);    
                 }else{
                     var times = UnixToDate(mTime2,true);
                 }
                 //resp.data.list[i].objTitle = '原文：'+ resp.data.list[i].objTitle;
                 resp.data.list[i].mTime = times;
            };
            return resp.data.list; //对返回的数据进行处理
        }else{
            return resp.data; //对返回的数据进行处理
        }
        
    },
    sync : function(method, model, options) {
        switch(method) {
        case "create":
        alert("create");
        break;
        case "update":
        alert("update");
        break;
        case "patch":
        alert("patch");
            break;
        case "read":
            // console.log("parameter="+JSON.stringify(parameter));
            publicService.request(options.params,options);
            break;
        case "delete":
            break;
        default:
            break;
        }
    }
});
