var familyService = {
    lock : false,
    request : function(data, option) {
        var self = this;
        if (self.lock) {
            self.trigger("error", "Request alreay running. Please wait");
            return;
        }
        self.lock = true;
        appcan.ajax({
            url : constant.thirdParty+data.Interface,
            type : data.requestType,
            timeout : "30000",
            data : data.content ? data.content:"" ,
            contentType : "json",
            dataType : "json",

            success : function(data) {
                self.lock = false;
                try {
                    option.success(data);
                } catch(e) {
                    option.error("服务器返回数据异常，请联系管理员");
                }
            },
            error : function(e, err) {
                self.lock = false
                option.error("网络请求异常，请检查网络是否正常");
            }
        });
    },
};
_.extend(familyService, Backbone.Events); 


