var addFamilyView = Backbone.View.extend({//options...
    initialize : function() {
        this.stickit();
    },
    model : new addFamilyModel(),
    service : familyService,

    el : 'body',
    bindings : {
        "#fmName" : "fmName",
        "#fmCertId" : "fmCertId",
        "#fmPhone" : "fmPhone"
    },

    addFamily : function(familyMemberId) {
        if (!this.model.isValid()) {
            $toast(this.model.validationError, 2000);
            return false;
        }
        this.model.save({}, {params:familyMemberId,
            success : function(model, resp, options) {
                // $closeToast();

                appcan.window.alert({
                    title : "提醒",
                    content : resp.message,
                    buttons : '确定',
                    callback : function(err, data, dataType, optId) {
                        if(familyMemberId){
                            if (resp.status == '1') {
                                appcan.window.evaluateScript('familyDetail','closeOpinion()');
                            }
                        }else{
                            if (resp.status == '1') {
                                appcan.window.evaluateScript('addFamily','closeOpinion()');
                            }
                        }     
                    }
                });
                

                
            },
            error : function(model, error, options) {
                $closeToast();
                appcan.window.alert({
                    title : "警告",
                    content : error,
                    buttons : '确定',
                    callback : function(err, data, dataType, optId) {
                        console.log(err, data, dataType, optId);
                    }
                });
            },
            patch : true
        });
        return false;
    }
});

var addFamilyViewInstance = new addFamilyView();
