var changeHeadIconView = Backbone.View.extend({
    
    initialize : function(){
        this.stickit();
    },
    
    model : new changeHeadIconModel(),
    service : publicService,

    
    updateImg : function(){

        this.model.save({}, {
            success : function(model, resp, options) {
                //alert("resp==="+JSON.stringify(resp))
                if (resp.status == '000') {
                       
                       appcan.window.alert({
                            title : "提醒",
                            content : "头像修改成功！",
                            buttons : '确定',
                            callback : function(err, data, dataType, optId) {
                                appcan.window.publish('updateUserIcon','')
                            }
                       });
                    return false;
                }
                appcan.window.alert({
                    title : "提醒",
                    content : resp.msg,
                    buttons : '确定',
                    callback : function(err, data, dataType, optId) {
                        console.log(err, data, dataType, optId);
                    }
                });
            },
            error : function(model, error, options) {
                appcan.window.alert({
                    title : "警告",
                    content : error,
                    buttons : '确定',
                    callback : function(err, data, dataType, optId) {
                        console.log(err, data, dataType, optId);
                    }
                });
            }
        });
        return false;
    }
});

var changeHeadIconViewInstance = new changeHeadIconView();