//列表容器VIEW
var columnView = Backbone.View.extend({//options...
    
    initialize : function() {
        //初始化集合与VIEW自身函数的关联
        //this.listenTo(this.collection, "add", this.add);
        
        //初始化服务与VIEW自身函数的关联
        this.viewCollection=this.collection;
        
    },
    collection:new columnCollection(), //collection，用于存储和管理数据-->models中
    load : function(num) {  //HTML页面调用的初始化接口，由于通讯有可能依赖APPCAN组件，因此封装此接口在appcan.ready中调用
        var self = this;

        var parameter = {
            "transcode" : "column_getList",
            "content" : {
                "parentId" : num,
                "columnType" : "",
                "page" : {
                    "pageNo" : 1,
                    "pageSize" : 100
                }
            }
        }

        this.collection.fetch({parameter:parameter,success:function(cols, resp, options){
            //console.log("column-resp=="+JSON.stringify(resp))
                //$closeToast();
                if (resp.status == '000') {
                    if(num=='0'){
                        var columnsArr=[];
                        // for (var i=0; i < resp.data.list.length; i++) {
                        //倒叙排列
                        for (var i=resp.data.list.length-1;i>=0;i--) {
                          if(resp.data.list[i].columnName=="首页"){
                            appcan.locStorage.setVal("shouyeId",resp.data.list[i].columnId);
                          }else{
                              var columnsObj={"columnId":resp.data.list[i].columnId,"columnName":resp.data.list[i].columnName}
                              columnsArr.push(columnsObj);
                          }
                        };
                        appcan.locStorage.remove("all_columns");
                        appcan.locStorage.setVal("columnsArr",columnsArr);
                    }else{
                        var columnIdStr="";
                        var all_columns=[];
                        var isAll_columns=appcan.locStorage.getVal("all_columns");
                        var erObj=[];
                        for (var k=resp.data.list.length-1;k>=0;k--) {
                            if(isAll_columns){
                                 var columnsObj2={"columnId":resp.data.list[k].columnId,"columnName":resp.data.list[k].columnName}
                                 erObj.push(columnsObj2); 
                            }else{
                                var columnsObj3={"columnId":resp.data.list[k].columnId,"columnName":resp.data.list[k].columnName}
                                all_columns.push(columnsObj3); 
                            }
                                
                              if(k == resp.data.list.length-1){
                                    columnIdStr += resp.data.list[k].columnId;
                                }else{
                                    columnIdStr+=','+resp.data.list[k].columnId;
                                }
                        };
                         if(isAll_columns){
                             var one=JSON.parse(isAll_columns);
                             var all_columns=one.concat(erObj);
                             appcan.locStorage.setVal("all_columns",all_columns);
                         }else{
                            appcan.locStorage.setVal("all_columns",all_columns); 
                         }
                         appcan.locStorage.setVal("all_columns",all_columns);
                         appcan.locStorage.setVal("columnIdStr",columnIdStr);
                             if(appcan.locStorage.getVal('whatColumn')=='zwxw'){
                                 indexConMesListViewInstance.load();
                             }else{
                                 //console.log("jkzsindexConMesListViewInstance----")
                                 jkzsindexConMesListViewInstance.load();
                             }
                         
                    }
                    return false;
                }
                appcan.window.alert({
                    title : "提醒",
                    content : resp.msg,
                    buttons : '确定',
                    callback : function(err, data, dataType, optId) {
                        console.log(err, data, dataType, optId);
                    }
                });
        },error:function(cols, error, options){
        }});
    }

});

var columnViewInstance = new columnView();
