var delFamilyView = Backbone.View.extend({//options...
    initialize : function() {
        this.stickit();
    },
    model : new delFamilyModel(),
    service : familyService,

    el : 'body',


    delFamily : function() {
        if (!this.model.isValid()) {
            $toast(this.model.validationError, 2000);
            return false;
        }
        this.model.save({}, {
            success : function(model, resp, options) {
                
                appcan.window.alert({
                    title : "提醒",
                    content : resp.message,
                    buttons : '确定',
                    callback : function(err, data, dataType, optId) {
                        if (resp.status == '1') {
                            appcan.window.evaluateScript('familyDetail','closeOpinion()');
                        }
                    }
                });
                

                
            },
            error : function(model, error, options) {
                $closeToast();
                appcan.window.alert({
                    title : "警告",
                    content : error,
                    buttons : '确定',
                    callback : function(err, data, dataType, optId) {
                        console.log(err, data, dataType, optId);
                    }
                });
            },
            patch : true
        });
        return false;
    }
});

var delFamilyViewInstance = new delFamilyView();
