//列表容器VIEW
var familyMebDetailView = Backbone.View.extend({//options...
    
    initialize : function() {
        
        //初始化服务与VIEW自身函数的关联
        this.viewCollection=this.collection;
        
    },
    collection:new familyMebDetailCollection(), //collection，用于存储和管理数据-->models中
    load : function() {  //HTML页面调用的初始化接口，由于通讯有可能依赖APPCAN组件，因此封装此接口在appcan.ready中调用
        var self = this;

        var parameter = {
                "Interface" : "appFamilyMebDetail",
                "requestType" : "GET",
                "content" : {
                    "familyMemberId" : getLocVal("familyMemberId")
                }
        }

        this.collection.fetch({parameter:parameter,success:function(cols, resp, options){
                console.log("resp=="+JSON.stringify(resp))
              
                if (resp.status == '1') {
                    var result = resp.data;
                     $("#fmName").val(result.fmName);
                     $("#fmPhone").val(result.fmPhone);
                     $("#fmCertId").val(result.fmCertId);
                    return false;
                }
                appcan.window.alert({
                    title : "提醒",
                    content : resp.message,
                    buttons : '确定',
                    callback : function(err, data, dataType, optId) {
                        //console.log(err, data, dataType, optId);
                    }
                });
        },error:function(cols, error, options){
        }});
    }

});

var familyMebDetailInstance = new familyMebDetailView();
