//加载并初始化模板对象
var familyMebTemplate = loadTemplate("assets/templates/familyMebList.html");

<!-- 列表单条讯息VIEW-->
var myCollectionView = Backbone.View.extend({//options...
    initialize : function(option) {
        //初始化VIEW并让model与VIEW进行关联
        this.model.view = this;
        //初始化VIEW的HTMLDOM对象
        this.render();
    },
    template : familyMebTemplate, //VIEW对应的模板
    render : function() { 
        
        if (this.template) {
            //使用模板+数据拼装DOM
            this.$el = $(this.template(this.model.attributes));
            //为DOM增加点击效果
            appcan.button(this.$el, "btn-act", function() {
                setLocVal("newsId",$(this).attr("id"));
                //console.log($(this).attr("id"));
                 //appcan.window.evaluateScript('news_articlecommon','closeNews_articlecommon()');
                 appcan.window.evaluatePopoverScript("news_articlecommon","content","refresh2()");
                 appcan.window.open('news_articlecommon','news_articlecommon.html');
                 
            })
        }
        //返回自身，便于promise调用
        return this;
    }
});


//列表容器VIEW
var familyMebListView = Backbone.View.extend({//options...
    
    initialize : function() {
        //初始化集合与VIEW自身函数的关联
        this.listenTo(this.collection, "add", this.add);
        this.listenTo(this.collection, "change", this.updateView);
        this.listenTo(this.collection, "remove", this.removeView);
        //初始化服务与VIEW自身函数的关联
        this.viewCollection=this.collection;
    },
    collection:new familyMebListCollection(), //collection，用于存储和管理数据-->models中
    el : '#list',   //VIEW 对应 HTML 元素CSS选择器
    pageNo:1,
    load : function(type) {  //HTML页面调用的初始化接口，由于通讯有可能依赖APPCAN组件，因此封装此接口在appcan.ready中调用
        var self = this;
        type = parseInt(type);
        if(type==0){
            self.pageNo=1;
        };
        
        var params = {
                "Interface" : "appFamilyMebList",
                "requestType" : "POST",
                "content" : JSON.stringify({
                    "familyManageId" : getLocVal("userId"),
                    "page" : (self.pageNo).toString(),
                    "size" : "10"
                })
         }
        
        
        this.collection.fetch({params:params,success:function(cols, resp, options){
               // alert('resp='+JSON.stringify(resp))
                $closeToast();
               var data = resp.data.List;
            try {
                  appcan.frame.resetBounce(type);
                //appcan.window.resetBounceView(type);
                if (type == 0) {
                    if (data.length <= 0) {
                         $("#list").empty(); 
                         $("#noDataF").addClass("ub");
                         $("#noDataF").removeClass("uhide");
                    } else {
                        self.pageNo++;
                        $("#noDataF").removeClass("ub");
                        $("#noDataF").addClass("uhide");
                        $("#list").empty(); 
                        var array = [];   
                        for(var i = 0; i < data.length; i++){   
                            // array[i] = '<li class="ubb ub bc-border text-list-tit ub-ac lis clickOpen umar-l umar-r" id="'+data[i].familyMemberId+'" data-index="0">'
                                        // +'<div class="lv_title ub-f1 marg-l ub ub-ver ut-m line1">'
                                            // +'<div class="ub">'
                                                // +'<div class="ub ub-ac ub-f1 ub-tc">'+data[i].fmName+'</div>'
                                                // +'<div class="ub ub-f3 ub-pe fa fa-angle-right ulev2 sc-text"></div>'
                                            // +'</div>'
                                            // +'<div class="ulev-1 umar-b4">手机号：<span>'+data[i].fmPhone+'</span></div>'
                                            // +'<div class="ulev-1">身份证号：<span>'+data[i].fmCertId+'</span></div>'
                                        // +'</div>'
                                    // +'</li>';  
                          array[i] = '<li class="ubb ub bc-border t-bla ub-ac lis clickOpen"  id="'+data[i].familyMemberId+'" data-index="0">'+
                                        '<ul class="ub-f1 ub ub-pj ub-ac">'+
                                            '<ul class="ub-f1 ub ub-ver marg-l">'+
                                                '<li class="bc-text ub ub-ver ut-m line1 uinn3">'+
                                                    '<div class="ub">'+
                                                        '<div class="umar-ar3 ub-tc">'+data[i].fmName+'</div>'+
                                                    '</div>'+
                                                '</li>'+
                                                '<li class="ulev-1 uinn3">手机号：<span>'+data[i].fmPhone+'</span></li>'+
                                                '<li class="ulev-1 uinn3">身份证号：<span>'+data[i].fmCertId+'</span></li>'+
                                            '</ul>'+
                                            '<li class="fa fa-angle-right ulev2"></li>'+
                                        '</ul>'+
                                    '</li> ';
                        }   
                        document.getElementById("list").innerHTML = array.join("");   

                        appcan.button(".clickOpen", "btn-act", function(a, b) {
                            var btn = $(a.currentTarget);
                            var btn_id = btn.attr('id');
                            if (btn_id) {
                                setLocVal("familyMemberId",btn_id);
                                appcan.window.open("familyDetail", "familyDetail.html", 10);
                            }
                        })

                        
                    }
                } else {
                    
                    if (data.length <= 0) {
                        //appcan.window.openToast("暂无更多的数据", 1500, 5);
                        $toast("暂无更多的数据", 2000);
                        setTimeout(function () {
                          $closeToast();
                        },2000)
                    } else {
                        self.pageNo++;
                        var array2 = [];   
                        for(var i = 0; i < data.length; i++){   
                            array2[i] = '<li class="ubb ub bc-border t-bla ub-ac lis clickOpen"  id="'+data[i].familyMemberId+'" data-index="0">'+
                                        '<ul class="ub-f1 ub ub-pj ub-ac">'+
                                            '<ul class="ub-f1 ub ub-ver marg-l">'+
                                                '<li class="bc-text ub ub-ver ut-m line1 uinn3">'+
                                                    '<div class="ub">'+
                                                        '<div class="umar-ar3 ub-tc">'+data[i].fmName+'</div>'+
                                                    '</div>'+
                                                '</li>'+
                                                '<li class="ulev-1 uinn3">手机号：<span>'+data[i].fmPhone+'</span></li>'+
                                                '<li class="ulev-1 uinn3">身份证号：<span>'+data[i].fmCertId+'</span></li>'+
                                            '</ul>'+
                                            '<li class="fa fa-angle-right ulev2"></li>'+
                                        '</ul>'+
                                    '</li> ';   
                        }   
                        // document.getElementById("list").innerHTML = array.join("");  
                        $("#list").append(array2.join(""))
                        appcan.button(".clickOpen", "btn-act", function(a, b) {
                            var btn = $(a.currentTarget);
                            var btn_id = btn.attr('id');
                            if (btn_id) {
                                setLocVal("familyMemberId",btn_id);
                                appcan.window.open("familyDetail", "familyDetail.html", 10);
                            }
                        })
                    }
                }
            } catch(e) {
                // appcan.window.openToast(e.message,1500, 5);
            }
        },error:function(cols, error, options){
            //$closeToast();
         },
            add:true,
            remove:(type==0)?true:false,
            merge:true
         });
    },
    add : function(model) { 
        //collection中每加入一条数据都会被调用，用于创建新的消息view
        var view = new myCollectionView({
            model : model
        });
        //把消息条目view的dom对象插入到listview DOM对象中
        this.$el.append(view.$el);
              
    },
    updateView : function(model) {
        var view = model.view;
        if (view) {
            this.$el.prepend(view.$el);
            view.updateView(model);
        }
    },
    removeView:function(model){
        var view = model.view;
        view.remove();
    }
});

var familyMebListViewInstance = new familyMebListView();