//列表容器VIEW
var getAppInfoView = Backbone.View.extend({//options...
    
    initialize : function() {
        
        //初始化服务与VIEW自身函数的关联
        this.viewCollection=this.collection;
        
    },
    collection:new getAppInfoCollection(), //collection，用于存储和管理数据-->models中
    load : function(appId) {  //HTML页面调用的初始化接口，由于通讯有可能依赖APPCAN组件，因此封装此接口在appcan.ready中调用
        var self = this;

        var parameter = {
            "url" : "getAppInfoByAppIds",
            "content" : {
                "appIds" : appId
            }
        }

        this.collection.fetch({parameter:parameter,success:function(cols, resp, options){
                console.log("column-resp=="+JSON.stringify(resp))
                var appInfo = resp.data.list;
                if (resp.status == '1' && appInfo.length>0) {
                    var userId = getLocVal("userId");
                    if(isDefine(userId)){
                        setLocVal("appName",appInfo[0].appName);
                        setLocVal("appRBUrl",appInfo[0].appRBUrl);
                        var appRBUrl = appInfo[0].appRBUrl;
                        var appId = appInfo[0].appId;
                        
                        var customerId = userId;
                        var customerPhone = getLocVal("mobileNo");
                        var customerName = getLocVal("nickName");
                        var customerCard = getLocVal("customerCard");
                        
                        getTokenKeyInstance.load(appRBUrl,appId,customerId,customerPhone,customerName,customerCard);
                    }else{
                         appcan.window.alert({
                            title : "提醒",
                            content : "请您登录后再使用！",
                            buttons : '确定',
                            callback : function(err, data, dataType, optId) {
                                
                            }
                        });
                    }
                    return false;
                }
                appcan.window.alert({
                    title : "提醒",
                    content : JSON.stringify(resp),
                    buttons : '确定',
                    callback : function(err, data, dataType, optId) {
                        console.log(err, data, dataType, optId);
                    }
                });
        },error:function(cols, error, options){
        }});
    }

});

var getAppInfoInstance = new getAppInfoView();
