//列表容器VIEW
var getSignView = Backbone.View.extend({//options...
    
    initialize : function() {
        //初始化集合与VIEW自身函数的关联
        //this.listenTo(this.collection, "add", this.add);
        
        //初始化服务与VIEW自身函数的关联
        this.viewCollection=this.collection;
        
    },
    collection:new getSignCollection(), //collection，用于存储和管理数据-->models中
    load : function(callback) {  //HTML页面调用的初始化接口，由于通讯有可能依赖APPCAN组件，因此封装此接口在appcan.ready中调用
        var self = this;
        this.collection.fetch({success:function(cols, resp, options){
            //alert("resp=="+JSON.stringify(resp))
                //$closeToast();
                if (resp.status == 0) {
                    //{"status":0,"message":"Success","sign":"b0b62b6f680e208ec5e21cfa1734ddad","ts":1462773789000}
                    //alert(resp.message);
                    return false;
                }
                appcan.window.alert({
                    title : "提醒",
                    content : resp.msg,
                    buttons : '确定',
                    callback : function(err, data, dataType, optId) {
                        console.log(err, data, dataType, optId);
                    }
                });
        },error:function(cols, error, options){
        }});
    }

});

var getSignViewInstance = new getSignView();
