//加载并初始化模板对象
//var indexConMesTemplate = loadTemplate("assets/templates/indexCon_0.html");


<!-- 列表单条最新讯息VIEW-->
var lunboMesView = Backbone.View.extend({//options...
    initialize : function(option) {
        //初始化VIEW并让model与VIEW进行关联
        this.model.view = this;
        //初始化VIEW的HTMLDOM对象
        this.render();
    },
    //template : indexConMesTemplate, //VIEW对应的模板
    render : function() { 
        // if (this.template) {
            // //使用模板+数据拼装DOM
            // if(this.model.attributes.showType==3){
                // this.$el = $(indexConMesTemplate1(this.model.attributes));
            // }else{
                // this.$el = $(this.template(this.model.attributes));    
            // }
//             
            // //为DOM增加点击效果
            // appcan.button(this.$el, "btn-act", function() {
                // setLocVal("newsId",$(this).attr("id"));
                // setLocVal("whoInfo","1");
                 // appcan.window.open('news_articlecommon','news_articlecommon.html');
            // })
        // }
        //返回自身，便于promise调用
        return this;
    }
});


//列表容器VIEW
var lunboListView = Backbone.View.extend({//options...
    
    initialize : function() {
        //初始化集合与VIEW自身函数的关联
        this.listenTo(this.collection, "add", this.add);
        
        //初始化服务与VIEW自身函数的关联
        this.viewCollection=this.collection;
        
    },
    collection:new lunboCollection(), //collection，用于存储和管理数据-->models中
    //el : '#list',   //VIEW 对应 HTML 元素CSS选择器
    
    load : function() {  //HTML页面调用的初始化接口，由于通讯有可能依赖APPCAN组件，因此封装此接口在appcan.ready中调用
        var self = this;
        this.collection.fetch({success:function(cols, resp, options){
            if(resp.status=='000'){
                var shuju = resp.data.list;
                if(shuju.length>0){
                    var lunboto=[];
                    // var tu=shuju[0].picturesUrls;
                    // var newtu=tu.split(',');
                        // for (var i=0; i < newtu.length; i++) {
                          // var obj={img : newtu[i],label : shuju[0].newsId,columnId : shuju[0].columnId};
                          // lunboto.push(obj);
                        // };
                        
                        

                        for (var i = 0; i < shuju.length; i++) {
                            var tu = shuju[i].picturesUrls;
                            if (tu.indexOf(",")) {
                                var tu = tu.split(",")[0]
                            }
                            var obj = {
                                img : tu,
                                label : shuju[i].newsId,
                                columnId : shuju[i].columnId
                            };
                            lunboto.push(obj);
                        };

                        
                        
                         var slider = appcan.slider({
                            selector : '#slider',
                            aspectRatio : 9 / 16,
                            hasLabel : false,
                            index : 1,
                            auto:2000,
                            hasCircle: true 
                        });
        
                       slider.set(lunboto);
        
                       slider.on("clickItem",function(index,data){
                             setLocVal("newsId",data.label);
                             setLocVal("whoInfo","1");
                             setLocVal("columnId",data.columnId);
                             appcan.window.open('news_articlecommon','news_articlecommon.html');
                       })
                       // $("#slider").css({ height: "8em"});
                }else{
                    //无轮播图数据
                    lunbotu();
                }

            }
            // console.log('resp='+JSON.stringify(resp))
            // $("div.lazy").lazyload({
              // cache:true //使用icache缓存图片到本地然后显示则设定为true，否则为false，但WEB模式要设定为false
            // });
        },error:function(cols, error, options){
        }});
    },
    add : function(model) {
        //collection中每加入一条数据都会被调用，用于创建新的消息view
        var view = new lunboMesView({
            model : model
        });
        //把消息条目view的dom对象插入到listview DOM对象中
        // this.$el.append(view.$el);
              
    }
});

var lunboListViewInstance = new lunboListView();
