
var medicalResourcesListView = Backbone.View.extend({//options...
    

    collection:new medicalResourcesCollection(), //collection，用于存储和管理数据-->models中
    el : '#list',   //VIEW 对应 HTML 元素CSS选择器
    pageNo:1,
    load : function(type) {  //HTML页面调用的初始化接口，由于通讯有可能依赖APPCAN组件，因此封装此接口在appcan.ready中调用
        var self = this;
        type = parseInt(type);
        if(type==0){
            self.pageNo=1;
        };
        

        // var params = {
            // "Interface" : "magAppList?JKAPP",
            // "requestType" : "POST",
            // "content" : JSON.stringify({
                // "pageNum" : (self.pageNo).toString(),
                // "appTypeGroup" : "1"
            // })
        // }
 

        var windowName = getLocVal("windowName");
        var searchBody;
        switch (windowName) {
        case "专病管理":
            searchBody="2";
            break;
        case "血液服务":
            searchBody="3";
            break;   
        case "医疗资源":
            searchBody="1";
            break;
        default:
            searchBody="4";
        }

         var params = {
            "Interface" : "appTypeList?JKAPP",
            "requestType" : "POST",
            "content" : JSON.stringify({
                "page" : (self.pageNo).toString(),
                "searchBody" : searchBody,
                "searchType" : "03"
                // "manageId":getLocVal("manageId")?getLocVal("manageId"):"fc60e2405bbe4e91b83ea0d7cc2a6938"
            })
        }
        
        this.collection.fetch({params:params,success:function(cols, resp, options){
                $closeToast();
                if(resp.status!="1"){
                    $toast(resp.message, 3000);
                    return false;
                }
               var data = resp.data.list;
               //console.table(data)
            try {
                  appcan.frame.resetBounce(type);
                //appcan.window.resetBounceView(type);
                if (type == 0) {
                    if (data.length <= 0) {
                         $("#noDataF").addClass("ub");
                         $("#noDataF").removeClass("uhide");
                    } else {
                        self.pageNo++;
                        $("#noDataF").removeClass("ub");
                        $("#noDataF").addClass("uhide");
                        $("#list").empty(); 
                        var array = [];   
                        for(var i = 0; i < data.length; i++){   
      
                          array[i] = '<li class="ubb ub bc-border text-list-tit ub-ac lis clickOpen umar-l umar-r" name="'+data[i].appTypeName+'" id="'+data[i].appTypeId+'" data-index="0">'+
                                      '<div class="lv_title ub-f1 marg-l ub ub-ver ut-m line1">'+
                                        '<div class="ub">'+
                                            '<div class="ub ub-ac ub-f1 ">'+data[i].appTypeName+'</div>'+
                                            '<div class="ub ub-f3 ub-pe fa fa-angle-right ulev2 sc-text">'+
                                        '</div>'+
                                        '</div>'+
                                      '</div>'+
                                    '</li>';
                        }   
                        document.getElementById("list").innerHTML = array.join("");   

                        appcan.button(".clickOpen", "btn-act", function(a, b) {
                            var btn = $(a.currentTarget);
                            var btn_id = btn.attr('id');
                            var name = btn.attr('name');
                            if (btn_id) {
                                setLocVal("appTypeId",btn_id);
                                setLocVal("appTypeName",name); 
                                appcan.window.open('resourcesList', 'resourcesList.html',10);
                            }
                        })

                        
                    }
                } else {
                    
                    if (data.length <= 0) {
                        //appcan.window.openToast("暂无更多的数据", 1500, 5);
                        $toast("暂无更多的数据", 2000);
                        setTimeout(function () {
                          $closeToast();
                        },2000)
                    } else {
                        self.pageNo++;
                        var array2 = [];   
                        for(var i = 0; i < data.length; i++){   
                            array2[i] = '<li class="ubb ub bc-border text-list-tit ub-ac lis clickOpen umar-l umar-r" name="'+data[i].appTypeName+'"  id="'+data[i].appTypeId+'" data-index="0">'+
                                      '<div class="lv_title ub-f1 marg-l ub ub-ver ut-m line1">'+
                                        '<div class="ub">'+
                                            '<div class="ub ub-ac ub-f1 ">'+data[i].appTypeName+'</div>'+
                                            '<div class="ub ub-f3 ub-pe fa fa-angle-right ulev2 sc-text">'+
                                        '</div>'+
                                        '</div>'+
                                      '</div>'+
                                    '</li>';   
                        }   
                        // document.getElementById("list").innerHTML = array.join("");  
                        $("#list").append(array2.join(""))
                        appcan.button(".clickOpen", "btn-act", function(a, b) {
                            var btn = $(a.currentTarget);
                            var btn_id = btn.attr('id');
                            var name = btn.attr('name');
                            if (btn_id) {
                                setLocVal("appTypeId",btn_id);
                                setLocVal("appTypeName",name); 
                                appcan.window.open('resourcesList', 'resourcesList.html',10);
                            }
                        })
                    }
                }
            } catch(e) {
                // appcan.window.openToast(e.message,1500, 5);
            }

        },error:function(cols, error, options){
            //$closeToast();
           console.log(error)
         }
         });
    }
});

var medicalResourcesListViewInstance = new medicalResourcesListView();