var modifyNameView = Backbone.View.extend({//options...
    initialize : function() {
        this.stickit();
    },

    model : new modifyNameModel(),
    service : publicService,

    el : 'form',
    events : {
        'submit' : 'submitLogin'
    },
    bindings : {
        "#nickName" : "nickName"
    },

    submitLogin : function() {
        if (!this.model.isValid()) {
            $toast(this.model.validationError, 2000);
            return false;
        }
        this.model.save({}, {
            success : function(model, resp, options) {
                if (resp.status == '000') {
                  
                    appcan.window.alert({
                        title : "提醒",
                        content : "昵称修改成功！",
                        buttons : '确定',
                        callback : function(err, data, dataType, optId) {
                            appcan.window.publish('updateName','')
                            appcan.window.publish('closeWin','')
                            //appcan.window.close(-1);
                        }
                    });
                    return false;
                }
                appcan.window.alert({
                    title : "提醒",
                    content : resp.msg,
                    buttons : '确定',
                    callback : function(err, data, dataType, optId) {
                        console.log(err, data, dataType, optId);
                    }
                });
            },
            error : function(model, error, options) {
                appcan.window.alert({
                    title : "警告",
                    content : error,
                    buttons : '确定',
                    callback : function(err, data, dataType, optId) {
                        console.log(err, data, dataType, optId);
                    }
                });
            }
        });
        return false;
    }
});

var modifyNameViewInstance = new modifyNameView();

