//加载并初始化模板对象
var myCommentsTemplate = loadTemplate("assets/templates/myComment.html");

<!-- 列表单条讯息VIEW--我的评论>
var myCollectionView = Backbone.View.extend({//options...
    initialize : function(option) {
        //初始化VIEW并让model与VIEW进行关联
        this.model.view = this;
        //初始化VIEW的HTMLDOM对象
        this.render();
    },
    template : myCommentsTemplate, //VIEW对应的模板
    render : function() { 
        
        if (this.template) {
            //使用模板+数据拼装DOM
            this.$el = $(this.template(this.model.attributes));
            //为DOM增加点击效果
            appcan.button(this.$el, "btn-act", function() {
                setLocVal("newsId",$(this).attr("id"));
                //console.log($(this).attr("id"));
                 //appcan.window.evaluateScript('news_articlecommon','closeNews_articlecommon()');
                 appcan.window.evaluatePopoverScript("news_articlecommon","content","refresh2()");
                 appcan.window.open('news_articlecommon','news_articlecommon.html');
                 
            })
        }
        //返回自身，便于promise调用
        return this;
    }
});


//列表容器VIEW
var myCommentsListView = Backbone.View.extend({//options...
    
    initialize : function() {
        //初始化集合与VIEW自身函数的关联
        this.listenTo(this.collection, "add", this.add);
        this.listenTo(this.collection, "change", this.updateView);
        this.listenTo(this.collection, "remove", this.removeView);
        //初始化服务与VIEW自身函数的关联
        this.viewCollection=this.collection;
    },
    collection:new myCommentsCollection(), //collection，用于存储和管理数据-->models中
    el : '#list',   //VIEW 对应 HTML 元素CSS选择器
    pageNo:1,
    load : function(type) {  //HTML页面调用的初始化接口，由于通讯有可能依赖APPCAN组件，因此封装此接口在appcan.ready中调用
        
        var self = this;
        type = parseInt(type);
        if(type==0){
            self.pageNo=1;
        };
        var params = {
            "transcode" : "commentInfo_getList",
            "content" : {
                "userId" : getLocVal("commentUserId")?parseInt(getLocVal("commentUserId")):parseInt(getLocVal("userId")),
                "type" : 1,
                "page" : {
                    "pageNo" : self.pageNo,
                    "pageSize" : 10
                }
            }
        }

        this.collection.fetch({params:params,success:function(cols, resp, options){
            console.log(JSON.stringify(resp));
            try {
                
                appcan.frame.resetBounce(type);
                //appcan.window.resetBounceView(type);
                if (type == 0) {
                    if (cols.length <= 0) {
                         $("#noDataF").addClass("ub");
                         $("#noDataF").removeClass("uhide");
                    } else {
                        self.pageNo++;
                        $("#noDataF").removeClass("ub");
                        $("#noDataF").addClass("uhide");
                    }
                } else {
                    
                    if (resp.data.list.length==0 || cols.length <= 0) {
                        appcan.window.openToast("暂无更多的数据", 1500, 5);
                    } else {
                        self.pageNo++;
                    }
                }
            } catch(e) {
                // appcan.window.openToast(e.message,1500, 5);
            }

        },error:function(cols, error, options){
            
         },
            add:true,
            remove:(type==0)?true:false,
            merge:true
         });
    },
    add : function(model) { 
        //collection中每加入一条数据都会被调用，用于创建新的消息view
        var view = new myCollectionView({
            model : model
        });
        //把消息条目view的dom对象插入到listview DOM对象中
        this.$el.append(view.$el);
              
    },
    updateView : function(model) {
        var view = model.view;
        if (view) {
            this.$el.prepend(view.$el);
            view.updateView(model);
        }
    },
    removeView:function(model){
        var view = model.view;
        view.remove();
    }
});

var myCommentsListViewInstance = new myCommentsListView();