//列表容器VIEW
var newListView2 = Backbone.View.extend({//options...
    
    initialize : function() {
        //初始化集合与VIEW自身函数的关联
        //this.listenTo(this.collection, "add", this.add);
        
        //初始化服务与VIEW自身函数的关联
        this.viewCollection=this.collection;
        
    },
    collection:new newListCollection(), //collection，用于存储和管理数据-->models中
    load : function(num,callback,pageNo) {  //HTML页面调用的初始化接口，由于通讯有可能依赖APPCAN组件，因此封装此接口在appcan.ready中调用
        var self = this;
           var parameter = {
                "transcode" : "newsInfo_getList",
                "content" : {
                    "columnIds" : num,
                    "deviceType" : "",
                    "listType" : 1,
                    "markId" : "",
                    "isBillBoard" : "1",
                    "page" : {
                        "pageNo" : 1,
                        "pageSize" : 1
                    }
                }
            }
        this.collection.fetch({parameter:parameter,success:function(cols, resp, options){
            // console.log("resp=="+JSON.stringify(resp))
                //$closeToast();
                if (resp.status == '000') {
                    callback(resp.data.list);
                    //create();
                    return ;
                }
                appcan.window.alert({
                    title : "提醒",
                    content : resp.msg,
                    buttons : '确定',
                    callback : function(err, data, dataType, optId) {
                        console.log(err, data, dataType, optId);
                    }
                });
        },error:function(cols, error, options){
        }});
    }

});

var newListViewInstance2 = new newListView2();
