var opinionView = Backbone.View.extend({
    
    initialize : function(){
        this.stickit();
    },
    
    model : new opinionModel(),
    service : publicService,
    
    el : 'form',
    events : {
        'submit' : 'submitOpinion'  
    },
    bindings : {
        '#content' : 'content' 
    },
    
    submitOpinion : function(){
        if (!this.model.isValid()) {
            $toast(this.model.validationError, 2000);
            return false;
        }
        this.model.save({}, {
            success : function(model, resp, options) {
                if (resp.status == '000') {
                       appcan.window.alert({
                            title : "提醒",
                            content : "提交成功，谢谢您的反馈！",
                            buttons : '确定',
                            callback : function(err, data, dataType, optId) {
                                appcan.window.evaluateScript('opinion','closeOpinion()');
                            }
                        });
                    return false;
                }
                appcan.window.alert({
                    title : "提醒",
                    content : resp.msg,
                    buttons : '确定',
                    callback : function(err, data, dataType, optId) {
                        console.log(err, data, dataType, optId);
                    }
                });
            },
            error : function(model, error, options) {
                appcan.window.alert({
                    title : "警告",
                    content : error,
                    buttons : '确定',
                    callback : function(err, data, dataType, optId) {
                        console.log(err, data, dataType, optId);
                    }
                });
            }
        });
        return false;
    }
});

var opinionViewInstance = new opinionView();
