var sendCodeView = Backbone.View.extend({
    
    initialize : function(){
        this.stickit();
    },
    
    model : new sendCodeModel(),
    service : publicService,
    
    el : 'form',
    events : {
        'submit' : 'getCode'  
    },
    bindings : {
        '#mobileNo' : 'mobileNo' 
    },
    
    getCode : function(){
        if (!this.model.isValid()) {
            $toast(this.model.validationError, 2000);
            return false;
        }
        this.model.save({}, {
            success : function(model, resp, options) {
                $closeToast();
                if (resp.status == '000') {
                       appcan.window.alert({
                            title : "提醒",
                            content : "验证码发送成功，请注意查收",
                            buttons : '确定',
                            callback : function(err, data, dataType, optId) {
                                if(getLocVal('jump')=='register'){
                                    appcan.window.open('register2', 'register2.html');
                                }else if(getLocVal('jump')=='forgetPwd'){
                                    appcan.window.open('forgetPwd2', 'forgetPwd2.html');
                                }else if(getLocVal('jump')=='modifyPhone'){
                                    appcan.window.open('modifyPhone3', 'modifyPhone3.html');
                                }                                                
                            }
                        });
                    return false;
                }
                appcan.window.alert({
                    title : "提醒",
                    content : resp.msg,
                    buttons : '确定',
                    callback : function(err, data, dataType, optId) {
                        console.log(err, data, dataType, optId);
                    }
                });
            },
            error : function(model, error, options) {
                $closeToast();
                appcan.window.alert({
                    title : "警告",
                    content : error,
                    buttons : '确定',
                    callback : function(err, data, dataType, optId) {
                        console.log(err, data, dataType, optId);
                    }
                });
            }
        });
        return false;
    }
});

var sendCodeViewInstance = new sendCodeView();
