var articleCommonModel = Backbone.Model.extend({
    initialize : function() {
        this.set({})
    },

    service : publicService,
    validate : function(attrs, options) {
        if (!isDefine(attrs.content)) {
            return "请输入评论内容";
        }
    },
    sync : function(method, model, options) {
        switch(method) {
        case "create":
        var parameter = {
            "transcode" : "commentInfo_add",
            "content" : {
                "userId" : parseInt(getLocVal("userId")),
                "objId" : parseInt(getLocVal("newsId")),
                "objType" : 1,
                "parentCommentId" : "",
                "commentedUserId" : "",
                "content" : this.toJSON().content
            }
        };
        console.log("parameter="+JSON.stringify(parameter));
        publicService.request(parameter,options);
        break;
        case "update":
        break;
        case "patch":
            break;
        case "read":
            break;
        case "delete":
            break;
        default:
            break;
        }
    }
})