var checkIdcarModel = Backbone.Model.extend({
    initialize : function() {
        this.set({})
    },

    service : familyService,
    validate : function(attrs, options) {
        if (!isDefine(attrs.fmName)) {
            return "请输入家庭成员姓名";
        }else{
            var len = getStrLen(attrs.fmName);
            if(len > 30){
		      return "姓名过长！";
		    }
        }
 
        if (!isDefine(attrs.fmPhone)) {
            return "请输入家庭成员手机号";
        }else{
            if(!checkPhone(attrs.fmPhone)){
              return "手机号格式错误";
            }
        }

        if (!isDefine(attrs.fmCertId)) {
            return "请输入家庭成员身份证号";
        }else{
            if(!validateIdCard(attrs.fmCertId)){
              return "身份证号格式错误";
            }
        }
    },
    sync : function(method, model, options) {
        switch(method) {
        case "create":

            var parameter = {
                "Interface" : "appFamilyCheckHealthCard",
                "requestType" : "GET",
                "content" : {
                    "healthCard" : this.toJSON().fmCertId
                }
            }

        familyService.request(parameter,options);
        break;
        case "update":
        break;
        case "patch":
            break;
        case "read":
            break;
        case "delete":
            break;
        default:
            break;
        }
    }
})