var forgetPwdModel = Backbone.Model.extend({
    
    initialize : function(){
        this.set({});       
    },
    service : publicService,
    
    validate : function(attrs, options) {
         
        if(!attrs.newPwd){
            return "密码不能为空";
        }
           
        if(!attrs.confirmNewPwd){
            return "密码不能为空";
        }
                     
        if( attrs.newPwd != attrs.confirmNewPwd ){
            return "两次输入密码不一样";
        }
           
    },
      
    sync : function(method, model, options) {
        switch(method) {
        case "create":
        var data = {
            "transcode": "userInfo_modify",
            "info": "forgetPassword",
            "content": {
                "verifyCode":getLocVal('wjmmvertifyCode'),
                "userId":getLocVal('userId'),
                "newPwd": this.attributes.newPwd,
                "mobileNo": getLocVal('loginName')
            }
        };
         //alert("data===="+JSON.stringify(data));
         $toast('密码重置中...');
        publicService.request(data,options);
        break;
        case "update":
        break;
        case "patch":
            break;
        case "read":
            break;
        case "delete":
            break;
        default:
            break;
        }
    }
});
