var goodsModel = Backbone.Model.extend({
})

var goodsCollection = Backbone.Collection.extend({
    model : goodsModel, //集合对应模型
    orderBy : 1,
    service : goodsListViewService, //服务，负责处理数据交互
    comparator : function(m1, m2) {
        return m1.attributes.price > m2.attributes.price ? -1 * this.orderBy : 1 * this.orderBy;
    }, //按照价格排序
    parse : function(resp) {
        return resp;
    },
    sync : function(method, model, options) {
        switch(method) {
        case "create":
        case "update":
        case "patch":
            break;
        case "read":
            goodsListViewService.request({}, options);
            break;
        case "delete":
            break;
        default:
            break;
        }
    }
})
