var lunboModel = Backbone.Model.extend({
      initialize : function() {
        this.set({});
    }
});

var lunboCollection = Backbone.Collection.extend({
    model : lunboModel,  //集合对应模型
    service : publicService, //服务，负责处理数据交互
    parse : function(resp) {
        return resp.data.list; //对返回的数据进行处理        
    },
    sync : function(method, model, options) {
        switch(method) {
        case "create":
            break;
        case "update":
            break;
        case "patch":
            break;
        case "read":

            var parameter = {
                "transcode" : "newsInfo_getList",
                "content" : {
                    "columnIds" : appcan.locStorage.getVal("shouyeId"),
                    "deviceType" : "",
                    "listType" : 1,
                    "markId" : "0",
                    "isBillBoard" : "0",
                    "page" : {
                        "pageNo" : 1,
                        "pageSize" : 4
                    }
                }
            }

            lunboService.request(parameter,options);
            break;
        case "delete":
            break;
        default:
            break;
        }
    }
});
