var modifyPhoneModel = Backbone.Model.extend({
    
    initialize : function(){
        this.set({});
    },
    service : publicService,
    validate : function(attrs, options) {
        
        if(!(/^\d{4}$/.test(attrs.vertifyCode))){
           //appcan.window.openToast('请输入4位数验证码', '2000');
           return "请输入4位数验证码";
        }
       setLocVal('vertifyCode',attrs.vertifyCode);
              
    },
    
    sync : function(method, model, options) {
        switch(method) {
        case "create":
        var data = {
            "transcode": "userInfo_modify",
            "info": "loginName",
            "content":{
                "loginName" : getLocVal('loginName'),
                "userId" : getLocVal('userId'),
                "verifyCode" : getLocVal('vertifyCode')
            }
        };
        //alert("data===="+JSON.stringify(data));
        publicService.request(data,options);
        break;
        case "update":
        break;
        case "patch":
            break;
        case "read":
            break;
        case "delete":
            break;
        default:
            break;
        }
    }
});
