var modifyPwdModel = Backbone.Model.extend({
    
    initialize : function(){
        this.set({});
    },
    service : publicService,
    validate : function(attrs, options) {
        
        if(!isDefine(attrs.originalPwd)){
           return "请输入原密码";
        }
        if(attrs.originalPwd != getLocVal('pwd')){
            return "原密码输入错误！";
        }
        if(!isDefine(attrs.newPwd)){
           return "密码不能为空";
        }
        if(!isDefine(attrs.confirmNewPwd)){
           return "密码不能为空";
        }
        if(attrs.originalPwd != getLocVal('pwd')){
            return "原密码输入错误！";
        }
        if(attrs.newPwd != attrs.confirmNewPwd){
            return "两次填写密码不一致！";
        }
        setLocVal('originalPwd',attrs.originalPwd);
        setLocVal('newPwd',attrs.newPwd);        
    },
    
    sync : function(method, model, options) {
        switch(method) {
        case "create":
        var data = {
            "transcode": "userInfo_modify",
            "info": "changePassword",
            "content":{
                "newPwd" : getLocVal('newPwd'),
                "userId" : getLocVal('userId'),
                "originalPwd" : getLocVal('originalPwd')
            }
        };
        //console.log("data===="+JSON.stringify(data));
        publicService.request(data,options);
        break;
        case "update":
        break;
        case "patch":
            break;
        case "read":
            break;
        case "delete":
            break;
        default:
            break;
        }
    }
});
