var myCollectionModel = Backbone.Model.extend({
      initialize : function() {
        this.set({});
    }
});

var myCollectionCollection = Backbone.Collection.extend({
    model : myCollectionModel,  //集合对应模型
    service : publicService, //服务，负责处理数据交互
    parse : function(resp) {
        if(resp.data!=''){
              var data=resp.data.list;
              for (var i=0; i < data.length; i++) {
                    var times = UnixToDate(data[i].publishTime,true);
                    data[i].publishTime = times;
              }
        }

        return data; //对返回的数据进行处理  
    },
    sync : function(method, model, options) {
        switch(method) {
        case "create":
        alert("create");
        break;
        case "update":
        alert("update");
        break;
        case "patch":
        alert("patch");
            break;
        case "read":
            //console.log("params="+JSON.stringify(options.params))
            //$toast("加载中...");
            publicService.request(options.params,options);
            break;
        case "delete":
            break;
        default:
            break;
        }
    }
});