var noticeMesModel = Backbone.Model.extend({
	  initialize : function() {
        this.set({roles:"2",noticeType:"1"});
    }
});

var noticeMesCollection = Backbone.Collection.extend({
    model : noticeMesModel,  //集合对应模型
    service : noticeMesService, //服务，负责处理数据交互
    parse : function(resp) {
        resp=JSON.parse(resp);
            for (var i=0; i < resp.data.length; i++) {
              var dateup = resp.data[i].updatedAt.split('T');   
	          var datemode = dateup[0].split('-');
	          var dateday = dateup[1].split(':');
	          var datemiu = dateday[2].split('.');
	          var comment_datetime = datemode[1]+'-'+datemode[2] +' ' + dateday[0] + ':' +dateday[1];
	          resp.data[i].updatedAt=comment_datetime;
	          
	              if(isDefine(resp.data[i].toteacher)){
                        resp.data[i].toType = 1;
                    }else if(isDefine(resp.data[i].tostudent)){
                        resp.data[i].toType = 2;
                    }else{
                    	resp.data[i].toType = 3; 
                    }
            };
         	
        
        return resp.data; //对返回的数据进行处理
    },
    sync : function(method, model, options) {
        switch(method) {
        case "create":
        alert("create");
        break;
        case "update":
        alert("update");
        break;
        case "patch":
        alert("patch");
            break;
        case "read":
            noticeMesService.request(this.toJSON(),options);
            break;
        case "delete":
            break;
        default:
            break;
        }
    }
});
