var opinionModel = Backbone.Model.extend({
    
    initialize : function(){
        this.set({});
    },
    service : publicService,
    validate : function(attrs, options) {
        if (!isDefine(attrs.content)) {
            return "请输入您的反馈内容！";
        }else if(getStrLen(attrs.content)>256){
            return "反馈内容不能超过256个字符";
        }
    },
    
    sync : function(method, model, options) {
        switch(method) {
        case "create":
        var data = {
            "transcode": "feedbackinfo_add",
            "content" : {
                "feedbackUserId": getLocVal('userId'),
                "content": this.attributes.content
            }
        };
        //console.log("data===="+JSON.stringify(data));
        publicService.request(data,options);
        break;
        case "update":
        break;
        case "patch":
            break;
        case "read":
            break;
        case "delete":
            break;
        default:
            break;
        }
    }
});
