var registerModel = Backbone.Model.extend({
    
    initialize : function(){
        this.set({});       
    },
    service : publicService,
    
    validate : function(attrs, options) {
         
        if(!attrs.password){
            return "密码不能为空";
        }
           
        if(!attrs.confirmPassword){
            return "密码不能为空";
        }
                     
        if( attrs.password != attrs.confirmPassword ){
            return "两次输入密码不一致！";
        }
           
    },
      
    sync : function(method, model, options) {
        switch(method) {
        case "create":
        var data = {
            "transcode": "userInfo_add",
            "content": {
                "verifyCode": getLocVal('vertifyCode'),
                "user": {
                      "loginName":getLocVal('loginName'),
                      "mobileNo": getLocVal('loginName'),
                      "password": this.attributes.password,
                      "healthCard":getLocVal("healthCard"),
                      "license":"",
                      "realName":getLocVal("realName"),
                      "card":getLocVal("card")
                    }
                }
        };
        //console.log("data===="+JSON.stringify(data));
        publicService.request(data,options);
        break;
        case "update":
        break;
        case "patch":
            break;
        case "read":
            break;
        case "delete":
            break;
        default:
            break;
        }
    }
});
