var articleCommonView = Backbone.View.extend({//options...
    initialize : function() {
        this.stickit();
    },

    model : new articleCommonModel(),
    service : publicService,

    el : 'form',
    events : {
        'submit' : 'submitarticleCommon'
    },
    bindings : {
        "#content" : "content"
    },

    submitarticleCommon : function() {
        if (!this.model.isValid()) {
            $toast(this.model.validationError, 2000);
            return false;
        }
        this.model.save({}, {
            success : function(model, resp, options) {
                if (resp.status == '000') {
                    appcan.window.alert({
                        title : "提醒",
                        content : "评论成功",
                        buttons : '确定',
                        callback : function(err, data, dataType, optId) {
                            appcan.window.evaluateScript('news_articlecommon','refreshInfo()');
                            if(getLocVal("commentOpen")){
                                appcan.window.evaluatePopoverScript("comment","content","upData()");
                                appcan.execScriptInWin('comment', 'closepop()');
                            }else{
                                appcan.execScriptInWin('news_articlecommon', 'closepop()');
                            }
                        }
                    });
                    return false;
                }
                appcan.window.alert({
                    title : "提醒",
                    content : resp.msg,
                    buttons : '确定',
                    callback : function(err, data, dataType, optId) {
                        console.log(err, data, dataType, optId);
                    }
                });
            },
            error : function(model, error, options) {
                appcan.window.alert({
                    title : "警告",
                    content : error,
                    buttons : '确定',
                    callback : function(err, data, dataType, optId) {
                        console.log(err, data, dataType, optId);
                    }
                });
            },
            patch : true
        });
        return false;
    }
});

var articleCommonViewInstance = new articleCommonView();
