var checkPhoneView = Backbone.View.extend({
    
    initialize : function(){
        this.stickit();
    },
    
    model : new checkPhoneModel(),
    service : publicService,
    
    el : 'form',
    events : {
        //'submit' : 'getCode'  
        'click #submit' : 'checkMobileNo'
    },
    bindings : {
        '#mobileNo' : 'loginName' 
    },
    
    checkMobileNo : function(){
        if (!this.model.isValid()) {
            $toast(this.model.validationError, 2000);
            return false;
        }
        this.model.save({}, {
            success : function(model, resp, options) {
                if (resp.status == '000') {
                    if(getLocVal('jump')!='forgetPwd'){
                        $('form').submit();   
                    }else{
                         if(getLocVal('jump')=='forgetPwd'){
                                appcan.window.alert({
                                    title : "提醒",
                                    content : resp.msg,
                                    buttons : '确定',
                                    callback : function(err, data, dataType, optId) {
                                        console.log(err, data, dataType, optId);
                                    }
                                });
                         }
                    }
                }else if(resp.status == '004'){
                      if(getLocVal('jump')=='forgetPwd'){
                           setLocVal('userId',resp.data.userId);
                           $('form').submit(); 
                        }else{
                            appcan.window.alert({
                                title : "提醒",
                                content : resp.msg,
                                buttons : '确定',
                                callback : function(err, data, dataType, optId) {
                                    console.log(err, data, dataType, optId);
                                }
                            }); 
                        }
                }
            },
            error : function(model, error, options) {
                appcan.window.alert({
                    title : "警告",
                    content : error,
                    buttons : '确定',
                    callback : function(err, data, dataType, optId) {
                        console.log(err, data, dataType, optId);
                    }
                });
            }
        });
        return false;
    }
});

var checkPhoneViewInstance = new checkPhoneView();