var collectionView = Backbone.View.extend({
    
    initialize : function(){
        this.stickit();
    },
    
    model : new collectionModel(),
    service : publicService,
    
    el : '#page_0',
    events : {
        'click #collection' : 'collection'
    },
    
    collection : function(){
        if(!isDengLu()){return false};
        this.model.save({}, {
            success : function(model, resp, options) {
                $closeToast();
                if(getLocVal("commentId")){
                    var msgs = "点赞成功";
                }else{
                     if(getLocVal("isCollect")=="0"){
                        setLocVal("isCollect","1"); 
                        var msgs = "收藏成功";
                        appcan.window.publish('isCollect','yesCollect');
                        if(getLocVal('whoInfo')=='2'){
                            appcan.window.publish('hideLi','2');
                        }
                     }else{
                        setLocVal("isCollect","0"); 
                        var msgs = "成功取消收藏";
                        appcan.window.publish('isCollect','noCollect');
                        if(getLocVal('whoInfo')=='2'){
                            appcan.window.publish('hideLi','1'); 
                        }
                     }
                }
                
                if (resp.status == '000') {
                   appcan.window.alert({
                        title : "提醒",
                        content : msgs,
                        buttons : '确定',
                        callback : function(err, data, dataType, optId) {
                           if(msgs=="点赞成功"){
                                var commentId = getLocVal("commentId");
                                var zanNum = $('#'+commentId).children().eq(0).html();
                                $('#'+commentId).children().eq(0).html(parseInt(zanNum)+1);
                                $('#'+commentId).children().eq(1).removeClass("dianzan");
                                $('#'+commentId).children().eq(1).addClass("praise");
                                clearLocVal('commentId');
                           }
                           //appcan.window.open('collection3', 'collection3.html' );
                        }
                    });
                    return false;
                }
                appcan.window.alert({
                    title : "提醒",
                    content : resp.msg,
                    buttons : '确定',
                    callback : function(err, data, dataType, optId) {
                        console.log(err, data, dataType, optId);
                    }
                });
            },
            error : function(model, error, options) {
                $closeToast();
                clearLocVal('commentId');
                appcan.window.alert({
                    title : "警告",
                    content : error,
                    buttons : '确定',
                    callback : function(err, data, dataType, optId) {
                        console.log(err, data, dataType, optId);
                    }
                });
            }
        });
        return false;
    }
});

var collectionViewInstance = new collectionView();