var forgetPwdView = Backbone.View.extend({
    initialize : function() {
        this.stickit();
    },

    model : new forgetPwdModel(),
    service : publicService,

    el : 'form',
    events : {
        'submit' : 'submitForgetPwd'
    },
    bindings : {
        "#newPwd" : "newPwd",
        "#confirmNewPwd" : "confirmNewPwd"
    },

    submitForgetPwd : function() {
        if (!this.model.isValid()) {
            $toast(this.model.validationError, 2000);
            return false;
        }
        this.model.save({}, {
            success : function(model, resp, options) {
               $closeToast();
                if (resp.status == '000') {
                             appcan.window.alert({
                                title : "提醒",
                                content : "密码重置成功",
                                buttons : '确定',
                                callback : function(err, data, dataType, optId) {
                                     appcan.window.open('login', 'login.html');
                                }
                            });
                   
                    return false;
                }
                appcan.window.alert({
                    title : "提醒",
                    content : resp.msg,
                    buttons : '确定',
                    callback : function(err, data, dataType, optId) {
                        console.log(err, data, dataType, optId);
                    }
                });
            },
            error : function(model, error, options) {
                $closeToast();
                appcan.window.alert({
                    title : "警告",
                    content : error,
                    buttons : '确定',
                    callback : function(err, data, dataType, optId) {
                        console.log(err, data, dataType, optId);
                    }
                });
            }
        });
        return false;
    }
});

var forgetPwdViewInstance = new forgetPwdView();
