//列表容器VIEW
var getTokenKeyView = Backbone.View.extend({//options...
    
    initialize : function() {
        
        //初始化服务与VIEW自身函数的关联
        this.viewCollection=this.collection;
        
    },
    collection:new getTokenKeyCollection(), //collection，用于存储和管理数据-->models中
    load : function(appRBUrl,appId,customerId,customerPhone,customerName,customerCard) {  //HTML页面调用的初始化接口，由于通讯有可能依赖APPCAN组件，因此封装此接口在appcan.ready中调用
        var self = this;

        var parameter = {
            "url" : "getTokenKey",
            "content" : {
                "appRBUrl": appRBUrl,
                "appId": appId,
                "customerId": customerId,
                "customerPhone": customerPhone,
                "customerName": customerName,
                "customerCard": customerCard
            }
        }

        this.collection.fetch({parameter:parameter,success:function(cols, resp, options){
                console.log("检查第三方是否合法(getTokenKey)=="+JSON.stringify(resp))
              
                if (resp.status == '1') {
                    var token = resp.data.keyName+"|"+resp.data.md5Key;
                    setLocVal("token",token);
                    appcan.window.open('thirdParty','thirdParty.html',10); 
                    return false;
                }
                appcan.window.alert({
                    title : "提醒",
                    content : resp.message,
                    buttons : '确定',
                    callback : function(err, data, dataType, optId) {
                        //console.log(err, data, dataType, optId);
                    }
                });
        },error:function(cols, error, options){
        }});
    }

});

var getTokenKeyInstance = new getTokenKeyView();
