var loginView = Backbone.View.extend({//options...
    initialize : function() {
        this.stickit();
    },
    model : new loginModel(),
    service : publicService,

    el : 'form',
    events : {
        'submit' : 'submitLogin'
    },
    bindings : {
        "#uid" : {
            observe : 'loginName',
            events : ['blur'],
            updateModel : 'validUname'
        },
        "#upwd" : "password"
    },

    validUname : function(val, event, options) {
           // if(!(/^\d{11}$/.test(val))){
                // $toast("请输入11位手机号！", 2000);
            // }else{
                // return true; 
           // }
           return true; 
    },

    submitLogin : function() {
        if (!this.model.isValid()) {
            $toast(this.model.validationError, 2000);
            return false;
        }
        this.model.save({}, {
            success : function(model, resp, options) {
                $closeToast();
                if (resp.status == '000') {
                    setLocVal("avatarUrl","");
                    setLocVal("userId",resp.data.userId);
                    setLocVal("nickName",resp.data.nickName);
                    setLocVal("mobileNo",resp.data.loginName);
                    setLocVal("userIcon",resp.data.userIcon);
                    setLocVal("realName",resp.data.realName);
                    setLocVal("card",resp.data.card);
                    
                    //model.unset('loginName'); 
                    
                    //登录成功后，判断信息是否完善-->main.js-->然后   居民注册接口
                    //residentInfoRegViewInstance.load();
                    
                    appcan.window.open('index', 'index.html');
                    appcan.window.publish("shauxin1","");
                    model.clear();
                    return false;
                }
                appcan.window.alert({
                    title : "提醒",
                    content : resp.msg,
                    buttons : '确定',
                    callback : function(err, data, dataType, optId) {
                        console.log(err, data, dataType, optId);
                    }
                });
            },
            error : function(model, error, options) {
                $closeToast();
                appcan.window.alert({
                    title : "警告",
                    content : error,
                    buttons : '确定',
                    callback : function(err, data, dataType, optId) {
                        console.log(err, data, dataType, optId);
                    }
                });
            },
            patch : true
        });
        return false;
    }
});

var loginViewInstance = new loginView();
