//加载并初始化模板对象
var noticeMesTemplate = loadTemplate("../assets/templates/noticeMes.html");

<!-- 列表单条最新消息VIEW-->
var noticeMesView = Backbone.View.extend({//options...
    initialize : function(option) {
        //初始化VIEW并让model与VIEW进行关联
        this.model.view = this;
        //初始化VIEW的HTMLDOM对象
        this.render();
    },
    template : noticeMesTemplate, //VIEW对应的模板
    render : function() { 
        if (this.template) {
            //使用模板+数据拼装DOM
            this.$el = $(this.template(this.model.attributes));
            //为DOM增加点击效果
            appcan.button(this.$el, "btn-act", function() {
            	setLocVal("noticeId",$(this).attr("id"));
            	setLocVal("toType",$(this).attr("name"));
                //console.log($(this).attr("id"));
                appcan.window.open('noticeDetail','noticeDetail.html');
            })
        }
        //返回自身，便于promise调用
        return this;
    }
});


//列表容器VIEW
var noticeMesListView = Backbone.View.extend({//options...
    
    initialize : function() {
        //初始化集合与VIEW自身函数的关联
        this.listenTo(this.collection, "add", this.add);
        
        //初始化服务与VIEW自身函数的关联
        this.viewCollection=this.collection;
        
    },
    collection:new noticeMesCollection(), //collection，用于存储和管理数据-->models中
    el : '#list',   //VIEW 对应 HTML 元素CSS选择器
    load : function() {  //HTML页面调用的初始化接口，由于通讯有可能依赖APPCAN组件，因此封装此接口在appcan.ready中调用
        var self = this;
        this.collection.fetch({success:function(cols, resp, options){
        	  	//document.body.style.backgroundColor = "#FFF";
		        $("#body").css("opacity","1")
		        $("#list").css("opacity","1")
            //$("div.lazy").lazyload({
            //  cache:false //使用icache缓存图片到本地然后显示则设定为true，否则为false，但WEB模式要设定为false
           // });
        },error:function(cols, error, options){
        }});
    },
    add : function(model) {
        //collection中每加入一条数据都会被调用，用于创建新的消息view
        var view = new noticeMesView({
            model : model
        });
        //把消息条目view的dom对象插入到listview DOM对象中
        this.$el.append(view.$el);
              
    }
});

var noticeMesListViewInstance = new noticeMesListView();
