//列表容器VIEW
var officeListView = Backbone.View.extend({//options...
    
    initialize : function() {
        this.stickit();
    },
    model :new officeListModel(),
    el : "#officeInfo",
    load : function(){
        
        this.model.fetch({
            success : function(model, resp, options) {
                if (resp.status == '1') {
                    clearLocVal("keshiId");
                    var hospitalName = resp.data.OrgInfo[0].OrgName[0];
                    
                    $("#hospitalName").html(hospitalName);
                    setLocVal("officeInfo",JSON.stringify(resp.data.OrgInfo[0]));
                    //setLocVal("officeInfo",JSON.stringify(resp.data.OrgInfo[0].OfficeList[0].OfficeInfo));
                    var officeInfo = resp.data.OrgInfo[0].OfficeList[0].OfficeInfo;  
                    var arrayLeft = [];
                        
                    for (var i=0; i < officeInfo.length; i++) {
                        
                        if(i==0){                             
                            setLocVal("keshiId",officeInfo[i].OfficeCode[0]);
                            arrayLeft[i] =  
                            '<li class="ubb ub bc-border bc-text ub-ac lis1 current" onclick="clickItem('+ officeInfo[i].OfficeCode[0] +')" id="'+ officeInfo[i].OfficeCode[0] +'" data-index="0">'+
                                '<div class="div1" style="display:block;"></div>'+
                                '<div class="lv_title ub-f1 marg-l ub ub-ver ut-m line1 uinn-l1">'+ officeInfo[i].SupOfficeName[0] +'</div>'+
                            '</li>';
                        }else{
                            arrayLeft[i] =  
                            '<li class="ubb ub bc-border bc-text ub-ac lis1 " onclick="clickItem('+ officeInfo[i].OfficeCode[0] +')" id="'+ officeInfo[i].OfficeCode[0] +'" data-index="0">'+
                                '<div class="div1" style="display:none;"></div>'+
                                '<div class="lv_title ub-f1 marg-l ub ub-ver ut-m line1 uinn-l1">'+ officeInfo[i].SupOfficeName[0] +'</div>'+
                            '</li>';
                        }
                    }   
                    document.getElementById("tab").innerHTML = arrayLeft.join("");
                    // $("#listview").append = arrayLeft.join("");                
                    
                    if(officeInfo[0].OfficeName.length >=1){
                        
                        var arrayRight = [];
                        for (var i=0; i < officeInfo[0].OfficeName.length; i++) {
                            
                            arrayRight[i] =  
                                '<li class="ubb ub bc-border bc-text ub-ac lis" data-index="0" id="'+officeInfo[i].OfficeCode[0]+'">'+
                                '<div class="lv_title ub-f1 marg-l ub ub-ver ut-m line1">'+ officeInfo[0].OfficeName[0] +'</div>'+
                                '</li>';
                        } 
                        document.getElementById("contentR").innerHTML = arrayRight.join("");
                    }
                    
                    appcan.button("#hospitalName", "ani-act", function() {
                        
                        appcan.window.open('hospitalDetail', 'hospitalDetail.html');
                    });
                             
                    
                    
                    appcan.button(".lis1", "ani-act", function() {
                        //officeListViewInstance.load();
                        if(officeInfo[0].OfficeName.length >=1){
                        
                            var arrayRight = [];
                            for (var i=0; i < officeInfo[0].OfficeName.length; i++) {
                                
                                arrayRight[i] =  
                                    '<li class="ubb ub bc-border bc-text ub-ac lis" data-index="0" id="'+officeInfo[i].OfficeCode[0]+'">'+
                                    '<div class="lv_title ub-f1 marg-l ub ub-ver ut-m line1">'+ officeInfo[0].OfficeName[0] +'</div>'+
                                    '</li>';
                            } 
                            document.getElementById("contentR").innerHTML = arrayRight.join("");
                        }
                    });
                  
                }else{
                    appcan.window.alert({
                        title : "提醒",
                        content : resp.msg,
                        buttons : '确定',
                        callback : function(err, data, dataType, optId) {
                            console.log(err, data, dataType, optId);
                        }
                    });
                }
            },
            error : function(model, error, options) {
                appcan.window.alert({
                    title : "警告",
                    content : error,
                    buttons : '确定',
                    callback : function(err, data, dataType, optId) {
                        console.log(err, data, dataType, optId);
                    }
                });
            }
        });
    }
});

var officeListViewInstance = new officeListView();
