
var resourceInfoView = Backbone.View.extend({//options...
    

    collection:new resourceInfoCollection(), //collection，用于存储和管理数据-->models中
    el : '#list',   //VIEW 对应 HTML 元素CSS选择器
    pageNo:1,
    load : function(type) {  //HTML页面调用的初始化接口，由于通讯有可能依赖APPCAN组件，因此封装此接口在appcan.ready中调用
        var self = this;
        type = parseInt(type);
        if(type==0){
            self.pageNo=1;
        };
        

        var params = {
            "Interface" : "magAppList?JKAPP",
            "requestType" : "POST",
            "content" : JSON.stringify({
                "pageNum" : (self.pageNo).toString(),
                "appTypeId" : getLocVal("appTypeId"),
                "manageId":getLocVal("manageId")?getLocVal("manageId"):"fc60e2405bbe4e91b83ea0d7cc2a6938"
            })
        }
 

        
        this.collection.fetch({params:params,success:function(cols, resp, options){
                $closeToast();
                if(resp.status!="1"){
                    $toast(resp.message, 3000);
                    return false;
                }
               var data = resp.data.list;
               //console.table(data)
            try {
                  appcan.frame.resetBounce(type);
                //appcan.window.resetBounceView(type);
                if (type == 0) {
                    if (data.length <= 0) {
                         $("#noDataF").addClass("ub");
                         $("#noDataF").removeClass("uhide");
                    } else {
                        self.pageNo++;
                        $("#noDataF").removeClass("ub");
                        $("#noDataF").addClass("uhide");
                        $("#list").empty(); 
                        var array = [];   
                        for(var i = 0; i < data.length; i++){   
                          var status = "";
                          var appId = data[i].appId;
                          if(data[i].status!="01"){
                              status = "background-color: #f4f4f4";
                              appId = "此应用已下线，暂不可使用！"
                          }
                          
                          var url=data[i].appPic?constant.view_picture+data[i].appPic:"css/images/indexCon_0/moren1.png";

                          // array[i] = '<li id="'+appId+'" class="clickOpen ubb ub bc-border t-bla ub-ac" style="padding-left: 0.5em;height: 3.2em;'+status+'">'+
                                          // '<ul class="ub ub ub-ver">'+
                                            // '<img style="width: 3.5em;margin-right: 0.4em;height: 3em;" src="'+url+'"></ul>'+
                                          // '<ul class="ub-f1 ub ub-pj ub-ac">'+data[i].appName+'</ul></li>';
                        // }   
                        
                        array[i] = '<li id="'+appId+'" class="clickOpen ubb ub bc-border t-bla ub-ac" style="padding-left: 0.5em;height: 3.2em;'+status+'">'+
                                          '<ul class="ub ub ub-ver" style="width: 2em;height: 2em;">'+
                                            '<img style="width: 100%;height: 100%;" src="'+url+'"></ul>'+
                                          '<ul style="margin-left: 0.4em" class="ub-f1 ub ub-pj ub-ac">'+data[i].appName+'</ul></li>';
                        } 
                        document.getElementById("list").innerHTML = array.join("");   

                        appcan.button(".clickOpen", "btn-act", function(a, b) {
                            var btn = $(a.currentTarget);
                            var btn_id = btn.attr('id');
                            if(isDengLu()){
                                if(btn_id!="此应用已下线，暂不可使用！"){
                                    getAppInfoInstance.load(btn_id);
                                }else{
                                   $toast(btn_id, 2000);
                                }
                            }
                        })

                        
                    }
                } else {
                    
                    if (data.length <= 0) {
                        //appcan.window.openToast("暂无更多的数据", 1500, 5);
                        $toast("暂无更多的数据", 2000);
                        setTimeout(function () {
                          $closeToast();
                        },2000)
                    } else {
                        self.pageNo++;
                        var array2 = [];   
                        for(var i = 0; i < data.length; i++){
                          var status = "";
                          var appId = data[i].appId;
                          if(data[i].status!="01"){
                              status = "background-color: #f4f4f4";
                              appId = "此应用已下线，暂不可使用！"
                          }
                            var url=data[i].appPic?constant.view_picture+data[i].appPic:"css/images/indexCon_0/moren1.png";   
                            array2[i] = '<li id="'+appId+'" class="clickOpen ubb ub bc-border t-bla ub-ac" style="padding-left: 0.5em;height: 3.2em;'+status+'">'+
                                          '<ul class="ub ub ub-ver" style="width: 2em;height: 2em;">'+
                                            '<img style="width: 100%;height: 100%;" src="'+url+'"></ul>'+
                                          '<ul style="margin-left: 0.4em" class="ub-f1 ub ub-pj ub-ac">'+data[i].appName+'</ul></li>';;   
                        }   
                        // document.getElementById("list").innerHTML = array.join("");  
                        $("#list").append(array2.join(""))
                        appcan.button(".clickOpen", "btn-act", function(a, b) {
                            var btn = $(a.currentTarget);
                            var btn_id = btn.attr('id');
                            var name = btn.attr('name');
                            if(isDengLu()){
                                if(btn_id!="此应用已下线，暂不可使用！"){
                                    getAppInfoInstance.load(btn_id);
                                }else{
                                   $toast(btn_id, 2000);
                                }
                            }
                        })
                    }
                }
            } catch(e) {
                // appcan.window.openToast(e.message,1500, 5);
            }

        },error:function(cols, error, options){
            //$closeToast();
           console.log(error)
         }
         });
    }
});

var resourceInfoViewInstance = new resourceInfoView();