//列表容器VIEW
var treatTimeView = Backbone.View.extend({//options...
    
    initialize : function() {
        this.stickit();
    },
    model : new treatTimeModel(),
    el : "#TreatTime",
    load : function(){
        
        var parameter = {
            "content" : {
                "funName":"queryRegisterResource",
                "paramNameStr":"ChannelCode_Info",
                "paramValueStr":"000_OrgCode|OfficeCode|DoctorLevelCode|DoctorCode|Date|TimeSegment,5|4||||"
            }
        }
        this.model.fetch({parameter:parameter,
            success : function(model, resp, options) {
                if (resp.status == '1') {
                   
                    var regDate = resp.data.RegList[0].RegInfo;
                    setLocVal("regDate", JSON.stringify(regDate));
                    var array1 = [];
                    var array2 = [];
                    var array3 = [];
                    var d,day;
                    for (var i=0; i < regDate.length; i++) {

                        if(regDate[i].Mount[0] == "0"){
                            var mount = "已约满";
                        }else{
                            var mount = regDate[i].Mount[0];
                        }
                        
                        switch(regDate[i].TimesegMent[0]) {
                        case "01":
                            TimeSegment =  "上午";
                            break;
                        case "02":
                            TimeSegment =  "下午";
                            break;
                        case "03":
                            TimeSegment =  "全天";
                            break;
                        default:
                            TimeSegment =  "未知时间"
                            break;
                        }
                        
                        
                        //d = regDate[i].Date[0];
                        // var weekDay = ["星期天", "星期一", "星期二", "星期三", "星期四", "星期五", "星期六"];
                        // var dateStr = regDate[i].Date[0].getFullYear()+"-"+(regDate[i].Date[0].getMonth()+1)+"-"+regDate[i].Date[0].getDate();
                        // var myDate = new Date(Date.parse(dateStr.replace(/-/g, "/"))); 
                        // var day = weekDay[myDate.getDay()];
                        
                        if( i <= 2){
                            
                          array1[i] = 
                            '<div class="ub-f1 ub clickOpen" id="'+regDate[i].PlatCode[0]+'">'+
                                '<div class="uwh-ele4 uc-a-ele1 c-wh ub ub-ac ub-pc">'+
                                    '<div class="ub ub-ac ub-pc ub-ver ub-img uwh-ele5 uc-a5 bc-text-head  uba sc-text">'+
                                        '<div class="ub ub-f1 ub-ac ub-pc uinn-t ulev-2" >'+  regDate[i].TimesegMent[0] +'</div>'+
                                        '<div class="ub ub-f1 ub-ac ub-pc uinn-a1 ulev-1">'+ regDate[i].Date[0] +'</div>'+
                                        '<div class="ub ub-f1 ub-ac ub-pc ulev-2 uinn-b1">'+ mount +'</div>'+
                                    '</div>'+
                                '</div>'+
                            '</div>';
                        }else if(3 <= i <6){
                            array2[i] = 
                            '<div class="ub-f1 ub clickOpen" id="'+regDate[i].PlatCode[0]+'">'+
                                '<div class="uwh-ele4 uc-a-ele1 c-wh ub ub-ac ub-pc">'+
                                    '<div class="ub ub-ac ub-pc ub-ver ub-img uwh-ele5 uc-a5 bc-text-head uba sc-text">'+
                                        '<div class="ub ub-f1 ub-ac ub-pc uinn-t ulev-1" >'+ regDate[i].TimesegMent[0] +'</div>'+
                                        '<div class="ub ub-f1 ub-ac ub-pc uinn-a1 ulev-1">'+ regDate[i].Date[0] +'</div>'+
                                        '<div class="ub ub-f1 ub-ac ub-pc ulev-2 uinn-b1">'+mount+'</div>'+
                                    '</div>'+
                                '</div>'+
                            '</div>';
                        }else{
                            array3[i] = 
                            '<div class="ub-f1 ub clickOpen" id="'+regDate[i].PlatCode[0]+'">'+
                                '<div class="uwh-ele4 uc-a-ele1 c-wh ub ub-ac ub-pc">'+
                                    '<div class="ub ub-ac ub-pc ub-ver ub-img uwh-ele5 uc-a5 bc-text-head uba sc-text">'+
                                        '<div class="ub ub-f1 ub-ac ub-pc uinn-t ulev-2" >'+ regDate[i].TimesegMent[0] +'</div>'+
                                        '<div class="ub ub-f1 ub-ac ub-pc uinn-a1 ulev-2">'+ regDate[i].Date[0] +'</div>'+
                                        '<div class="ub ub-f1 ub-ac ub-pc ulev-2 uinn-b1">'+mount+'</div>'+
                                    '</div>'+
                                '</div>'+
                            '</div>';
                        }

                    };
                    
                    document.getElementById("tab1").innerHTML = array1.join("");
                    document.getElementById("tab2").innerHTML = array2.join("");
                    document.getElementById("tab3").innerHTML = array3.join("");
                    //appcan.window.open('resRegSuccess', 'resRegSuccess.html');
                    
                    $(".clickOpen").click(function(e) {
                       //alert(e.currentTarget.id);
                       setLocVal("timeId", e.currentTarget.id);
                       
                       //treatTimeViewInstance.lockReg();
                    })

                   
                }else{
                    appcan.window.alert({
                        title : "提醒",
                        content : resp.msg,
                        buttons : '确定',
                        callback : function(err, data, dataType, optId) {
                            console.log(err, data, dataType, optId);
                        }
                    });
                }
            },
            error : function(model, error, options) {
                appcan.window.alert({
                    title : "警告",
                    content : error,
                    buttons : '确定',
                    callback : function(err, data, dataType, optId) {
                        console.log(err, data, dataType, optId);
                    }
                });
            }
        });
    },
    //锁定号源
    lockReg : function(){
        
        var regDate = JSON.parse(getLocVal("regDate"));
        var timeId = getLocVal("timeId");
        
        //设置接口请求的变量
        var date,TimeSegment,hodlerNum,detialTime,PlatCode,ChannelNum;
        for (var i=0; i < regDate.length; i++) {
          
            if(regDate[i].PlatCode[0] == timeId){
                
                date = regDate[i].Date[0];
                TimeSegment = regDate[i].TimesegMent[0];
                //居民唯一身份标识
                hodlerNum = "123456";
                if(TimeSegment == "上午"){
                    detialTime = "9:00";
                }else if(TimeSegment == "上午"){
                    detialTime = "3:00";
                }
                PlatCode = regDate[i].PlatCode[0];
                ChannelNum = "12233";
            }
        };
        
        var para = {
            "content" : {
                // "funName":"unlockRegister",
                // "paramNameStr":"ChannelCode_AppInfo",                           
                // "paramValueStr":"654321_PlatCode|OldPlatNum|OldChannelNum|ChannelNum,111|222|333|444"
                "funName":"register",
                "paramNameStr":"ChannelCode_AppInfo",                           
                "paramValueStr":"654321_Date|TimeSegment|hodlerNum|detialTime|PlatCode|ChannelNum," + date + "|" + TimeSegment + "|" + hodlerNum + "|" + detialTime + "|" + PlatCode + "|" + ChannelNum
            }
        }
        
        this.model.save({},{para:para,
            success : function(model, resp, options) {
                if (resp.status == '1') {
                    
                   appcan.window.open('resRegSuccess', 'resRegSuccess.html');
                }else{
                    appcan.window.alert({
                        title : "提醒",
                        content : resp.msg,
                        buttons : '确定',
                        callback : function(err, data, dataType, optId) {
                            console.log(err, data, dataType, optId);
                        }
                    });
                }
            },
            error : function(model, error, options) {
                appcan.window.alert({
                    title : "警告",
                    content : error,
                    buttons : '确定',
                    callback : function(err, data, dataType, optId) {
                        console.log(err, data, dataType, optId);
                    }
                });
            }
        });
    }
});

var treatTimeViewInstance = new treatTimeView();
